Class ResteasyVertxOptions<T>

java.lang.Object
org.jboss.resteasy.spi.config.Options<T>
dev.resteasy.vertx.config.ResteasyVertxOptions<T>

public class ResteasyVertxOptions<T> extends org.jboss.resteasy.spi.config.Options<T>
Configuration options for RESTEasy Vert.x integration.

Options can be set via system properties or other configuration sources supported by Options. For example:

-Ddev.resteasy.vertx.timeout=60
-Ddev.resteasy.vertx.timeout.unit=SECONDS
Author:
James R. Perkins
  • Field Summary

    Fields
    Modifier and Type
    Field
    Description
    The maximum allowed request body size in bytes for the embedded server.
    The timeout value for blocking operations such as shutting down the Vertx instance.
    The time unit for TIMEOUT.

    Fields inherited from class org.jboss.resteasy.spi.config.Options

    CLIENT_SSL_CONTEXT_ALGORITHM, ENABLE_DEFAULT_EXCEPTION_MAPPER, ENTITY_FILE_BUFFER_SIZE, ENTITY_FILE_THRESHOLD, ENTITY_MEMORY_THRESHOLD, ENTITY_TMP_DIR, SSE_CLOSED_RESPONSE_CODE
  • Method Summary

    Methods inherited from class org.jboss.resteasy.spi.config.Options

    equals, getProperty, getValue, getValue, hashCode, name, toString

    Methods inherited from class Object

    clone, finalize, getClass, notify, notifyAll, wait, wait, wait
  • Field Details

    • TIMEOUT

      public static final ResteasyVertxOptions<Long> TIMEOUT
      The timeout value for blocking operations such as shutting down the Vertx instance.

      System property: dev.resteasy.vertx.timeout
      Default: 30

    • TIMEOUT_UNIT

      public static final ResteasyVertxOptions<TimeUnit> TIMEOUT_UNIT
      The time unit for TIMEOUT.

      System property: dev.resteasy.vertx.timeout.unit
      Default: TimeUnit.SECONDS

    • MAX_REQUEST_SIZE

      public static final ResteasyVertxOptions<Long> MAX_REQUEST_SIZE
      The maximum allowed request body size in bytes for the embedded server. Requests exceeding this limit will be rejected with HTTP 413 (Payload Too Large). A value of -1 disables the limit.

      System property: dev.resteasy.vertx.server.max.request.size
      Default: 10485760 (10 MB)